
import com.urbancode.air.CommandHelper

final def props = new Properties();
final def inputPropsFile = new File(args[0]);
final def inputPropsStream = null;
try {
    inputPropsStream = new FileInputStream(inputPropsFile);
    props.load(inputPropsStream);
}
catch (IOException e) {
    throw new RuntimeException(e);
}
def powershell = props['powerShellExe']? props['powerShellExe'] : 'PowerShell.exe'
def application = props['application'];
def btServer = props['btServer'];
def btsTask = props['btsTask']? props['btsTask'] : 'btsTask.exe'
def btDatabase = props['btDatabase'];
def PLUGIN_HOME = System.getenv()['PLUGIN_HOME']
def ch = new CommandHelper(new File('.'));

def args = [];
args = [powershell, PLUGIN_HOME + '\\ps_Biztalk_remove_App.ps1', application, btsTask, btServer, btDatabase];
ch.runCommand(args.join(' '), args);